Bug 91333 - php src rpm rebuild with oracle causes package error for openssl.so
php src rpm rebuild with oracle causes package error for openssl.so
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: 97316 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-05-21 11:17 EDT by Stephen Lawrence Jr.
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-12 17:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Lawrence Jr. 2003-05-21 11:17:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When I execute the command:

rpmbuild -ba --define 'oracle 1' php.spec

I get the following error:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/php-root
error: Installed (but unpackaged) file(s) found:

RPM build errors:
    Installed (but unpackaged) file(s) found:

If I build the src without oracle, it works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install php-src file
2.execute 'rpmbuild -ba --define 'oracle 1' php.spec'


Actual Results:  src build failed

Expected Results:  build should create php binary rpms

Additional info:
Comment 1 Joe Orton 2003-06-02 05:38:45 EDT
I don't see why enabling oracle support should cause that error, but we don't
support PHP with the Oracle extension enabled, so there's not a lot we can do to

You could try adding --without-openssl to see if that helps.
Comment 2 Joe Orton 2003-06-12 17:26:24 EDT
*** Bug 97316 has been marked as a duplicate of this bug. ***
Comment 3 Stephen Lawrence Jr. 2003-06-12 17:36:56 EDT
After executing the following command (as per rpm.org)I was able to build the
RPMS, but was "warned" about the openssl issue instead of failing:

echo "%_unpackaged_files_terminate_build 0" >> /etc/rpm/macros

Will try again with --without-ssl
Comment 4 Joe Orton 2003-06-12 17:48:18 EDT
Actually, I'd expect that both those routes would lead to a PHP installation
which lacked OpenSSL support.  From looking at the configure script I have
absolutely no idea why this would happen: have you tried reporting this bug
upstream, if you can reproduce it with a stock tarball? ("when I enabled oci8 I
get openssl as a shared module")

We still won't fix this, so I'm going to reclose this bug.  If you can find out
how to fix this problem, please reopen this bug and we'll be look at integrating
the necessary changes, otherwise, please leave this closed.
Comment 5 Stephen Lawrence Jr. 2003-06-12 17:57:11 EDT
--without-ssl did not produce any warnings.

Note You need to log in before you can comment on or make changes to this bug.